<template>
  <div class="modal">
    <div class="modal-backdrop" @click="$emit('click-backdrop')"></div>
    <div class="modal-content" :style="fullModal ? {height: '100%'} : ''">
      <slot />
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Vue, Prop } from 'vue-property-decorator';

@Component
export default class ModalComponent extends Vue {
  @Prop({ type: Boolean, default: true }) fullModal!: boolean;
}
</script>

<style lang="scss" scoped>
.modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: 999999;
  display: flex;
  justify-content: center;
  align-items: center;

  .modal-backdrop {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
  }

  .modal-content {
    position: relative;
    z-index: 999;
    display: flex;
    justify-content: center;
    align-items: center;
  }
}
</style>